Subject: Re: [Sigtran] (M2PA) link status messages should be received and processedduring LPO

From: Tom George <[email-masked]>
Date: Tue, 17 Dec 2002 17:27:26 -0600

Jeff and Brian,

I made the change as Brian suggested. Thanks.

tomG.

[email-masked] wrote:
> 
> Hello Brian,
> 
> >(During LPO...)
> >"M2PA shall stop acknowledging received User Data messages."
> 
> Sounds good to me. During LPO, the implementation can choose whether
> or not to receive from association stream 1, but it needs to
> receive from stream 0.
> 
> Regards,
> 
> Jeff
> 
> "Brian F. G. Bidulock" <[email-masked]> on 09/17/2002 03:37:59 PM
> 
> Please respond to [email-masked]
> 
> To:    [email-masked]
> cc:    [email-masked]
> Subject:    Re: [Sigtran] (M2PA) link status messages should be received
>        and processed during LPO
> 
> Jeffrey,
> 
> I propose to strike the sentence altogether.  Or, rewrite it to say:
> 
>     (Dunring LPO...)
>     "M2PA shall stop acknowledging received User Data messages."
> 
> In LPO M2PA should not stop receiving any messages whatsoever.  What it
> should do is stop *acknowledging* received messages to its peer.  The
> purpose of withholding acknowledgement is so that the peer keeps its
> copy of messages (not delivered to MTP3 because of LPO) so that they may
> be redirected onto an alternate link should the LPO persist to the point
> of link failure.
> 
> This sentence is a just hanging around from when we did not have
> sequence numbers.  When we didn't have sequence numbers, the only way to
> attempt to avoid msus getting stuck on the wrong side of the link was to
> somehow try to get SCTP to stop receiving and acknowledging them.  Now
> that we have sequence numbers, it is the M2PA acknowledgements that need
> to be withheld and M2PA can collect messages from SCTP as per normal.
> 
> You will see this in sections 3.1.9, 3.4.1 and, 3.8.9 of
> draft-bidulock-sigtran-m2pa-test-02.txt.  These tests clearly indicate
> that the M2PA in LPO cannot be expected to acknowledge receipt of
> messages.  What M2PA does internally with regard to SCTP is its own
> business now.  This is completely consistent with Q.703 behavior.
> 
> --brian
> 
> [email-masked] wrote:                 (Tue, 17 Sep 2002
> 14:43:29)
> > Hello All,
> >
> > M2PA v6 section 4.1.4, 2nd paragraph, last sentence:
> >
> >       (During LPO...)
> >       "M2PA shall stop receiving incoming messages from SCTP."
> >
> > In my opinion this should be changed to read:
> >
> >       (During LPO...)
> >       "M2PA shall stop receiving incoming User Data messages from SCTP."
> >
> > A node experiencing local processor outage should continue to receive
> > and process LSO (and other links status messages), otherwise the M2PA
> > state machine could get out of synch with its peer.
> >
> > Regards,
> >
> > Jeff
> >
> >
> > _______________________________________________
> > Sigtran mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/sigtran
> 
> --
> Brian F. G. Bidulock
> [email-masked]
> http://www.openss7.org/
> 
> _______________________________________________
> Sigtran mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/sigtran

-- 
* Tom George       PB7-24001 (near B-21)      [email-masked]  *
* 972-519-3168   Intranet:  http://www.ssd.usa.alcatel.com/~tgeorge/  *
* Alcatel USA, Inc.; 1000 Coit Rd, MS PB7-SWPRO; Plano TX 75075-5813  *
* I actively disclaim speaking for Alcatel USA, Inc. I do not purport *
* to advertise or represent its position,  operations, or activities. *
_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran